Subject: bug#20521: Bug 2051

From: Nick Andryshak <[email-masked]>
Date: Fri, 15 May 2015 17:08:22 -0400

> How on Earth? Perhaps setq is broken.

That's really not something you should say lightly! 

> Perhaps we aren't actually *in* a buffer when setq is called (is that
> possible?) and thus the global value is being set. I don't understand
> how this is possible and, now that I've uncovered this, I'm not sure
> what I can do to fix it.

I think you may misunderstand: setq always sets a global variable.
Perhaps you want to use setq-local?

See:

http://www.gnu.org/software/emacs/manual/html_node/elisp/Global-Variables.html

- Nick